Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jfree.xml.writer.coretypes
Class BasicStrokeWriteHandler

    java.lang.Object
      org.jfree.xml.writer.AbstractXmlWriteHandler
          org.jfree.xml.writer.coretypes.BasicStrokeWriteHandler

All Implemented Interfaces:
  XmlWriteHandler

    public class BasicStrokeWriteHandler

extends AbstractXmlWriteHandler

A handler that can write the XML description for a `BasicStroke` object.

Constructor Summary
`BasicStrokeWriteHandler()` Creates a new handler.

Method Summary
`void` | `write(java.lang.String tagName, java.lang.Object object, XMLWriter writer, java.lang.String mPlexAttribute, java.lang.String mPlexValue)` Performs the writing of a single object.

Methods inherited from class org.jfree.xml.writer.AbstractXmlWriteHandler
`getRootHandler, setRootHandler`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BasicStrokeWriteHandler

    public BasicStrokeWriteHandler()

  Creates a new handler.

Method Detail

### write

    public void write(java.lang.String tagName,
                      java.lang.Object object,
                      XMLWriter writer,
                      java.lang.String mPlexAttribute,
                      java.lang.String mPlexValue)
               throws java.io.IOException,
                      XMLWriterException

  Performs the writing of a single object.

  Parameters:
    `tagName` - the tag name.
    `object` - the object (`BasicStroke` expected).
    `writer` - the writer.
    `mPlexAttribute` - ??
    `mPlexValue` - ??
  Throws:
    `java.io.IOException` - if there is an I/O problem.
    `XMLWriterException` - if there is a problem with the writer.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD